## ebview 0.3.6

=== intl/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for directory with message catalog handling in GNU NLS Utilities.
# Copyright (C) 1995, 1996, 1997 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

PACKAGE = ebview
VERSION = 0.2.0

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..

prefix = /usr/local
exec_prefix = ${prefix}
transform = s,x,x,
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = ${prefix}/share/gettext/intl
aliaspath = $(localedir):.
subdir = intl

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = ./mkinstalldirs

l = @l@

AR = ar
CC = gcc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
RANLIB = ranlib

DEFS = -DLOCALEDIR=\"$(localedir)\" -DGNULOCALEDIR=\"$(gnulocaledir)\" \
-DLOCALE_ALIAS_PATH=\"$(aliaspath)\" -DHAVE_CONFIG_H
CPPFLAGS = 
CFLAGS = -g -O2
LDFLAGS = 

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

HEADERS = $(COMHDRS) libgettext.h loadinfo.h
COMHDRS = gettext.h gettextP.h hash-string.h
SOURCES = $(COMSRCS) intl-compat.c cat-compat.c
COMSRCS = bindtextdom.c dcgettext.c dgettext.c gettext.c \
finddomain.c loadmsgcat.c localealias.c textdomain.c l10nflist.c \
explodename.c
OBJECTS =  bindtextdom.$lo dcgettext.$lo dgettext.$lo gettext.$lo \
finddomain.$lo loadmsgcat.$lo localealias.$lo textdomain.$lo l10nflist.$lo \
explodename.$lo
CATOBJS = cat-compat.$lo ../po/cat-id-tbl.$lo
GETTOBJS = intl-compat.$lo
DISTFILES.common = ChangeLog Makefile.in linux-msg.sed po2tbl.sed.in \
xopen-msg.sed $(HEADERS) $(SOURCES)
DISTFILES.normal = VERSION
DISTFILES.gettext = libintl.glibc intlh.inst.in

.SUFFIXES:
.SUFFIXES: .c .o .lo
.c.o:
	$(COMPILE) $<
.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) $<

INCLUDES = -I.. -I. -I$(top_srcdir)/intl -I$(top_srcdir)/lib

all: all-no

all-yes: libintl.$la intlh.inst
all-no:

libintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.la: $(OBJECTS)
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $@ $(OBJECTS) \
		   -version-info 1:0 -rpath $(libdir)

../po/cat-id-tbl.$lo: ../po/cat-id-tbl.c $(top_srcdir)/po/$(PACKAGE).pot
	cd ../po && $(MAKE) cat-id-tbl.$lo

check: all

# This installation goal is only used in GNU gettext.  Packages which
# only use the library should use install instead.

# We must not install the libintl.h/libintl.a files if we are on a
# system which has the gettext() function in its C library or in a
# separate library or use the catgets interface.  A special case is
# where configure found a previously installed GNU gettext library.
# If you want to use the one which comes with this version of the
# package, you have to use `configure --with-included-gettext'.
install: install-exec install-data
install-exec: all
	if test "$(PACKAGE)" = "gettext" \
	   && test '' = '$(GETTOBJS)'; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(libdir) $(includedir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(libdir) $(includedir); \
	  fi; \
	  $(INSTALL_DATA) intlh.inst $(includedir)/libintl.h; \
	  $(INSTALL_DATA) libintl.a $(libdir)/libintl.a; \
	else \
	  : ; \
	fi
install-data: all
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) VERSION $(gettextsrcdir)/VERSION; \
	  dists="$(DISTFILES.common)"; \
	  for file in $$dists; do \
	    $(INSTALL_DATA) $(srcdir)/$$file $(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	dists="$(DISTFILES.common)"; \
	for file in $$dists; do \
	  rm -f $(gettextsrcdir)/$$file; \
	done

info dvi:

$(OBJECTS): ../config.h libgettext.h
bindtextdom.$lo finddomain.$lo loadmsgcat.$lo: gettextP.h gettext.h loadinfo.h
dcgettext.$lo: gettextP.h gettext.h hash-string.h loadinfo.h

tags: TAGS

TAGS: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && etags -o $$here/TAGS $(HEADERS) $(SOURCES)

id: ID

ID: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && mkid -f$$here/ID $(HEADERS) $(SOURCES)


mostlyclean:
	rm -f *.a *.o *.lo core core.*

clean: mostlyclean

distclean: clean
	rm -f Makefile ID TAGS po2msg.sed po2tbl.sed

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."


# GNU gettext needs not contain the file `VERSION' but contains some
# other files which should not be distributed in other packages.
distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: Makefile $(DISTFILES)
	if test "$(PACKAGE)" = gettext; then \
	  additional="$(DISTFILES.gettext)"; \
	else \
	  additional="$(DISTFILES.normal)"; \
	fi; \
	for file in $(DISTFILES.common) $$additional; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

dist-libc:
	tar zcvf intl-glibc.tar.gz $(COMSRCS) $(COMHDRS) libintl.h.glibc

Makefile: Makefile.in ../config.status
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# The dependency for intlh.inst is different in gettext and all other
# packages.  Because we cannot you GNU make features we have to solve
# the problem while rewriting Makefile.in.
@GT_YES@intlh.inst: intlh.inst.in ../config.status
@GT_YES@	cd .. \
@GT_YES@	&& CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= \
@GT_YES@	  $(SHELL) ./config.status
@GT_NO@.PHONY: intlh.inst
@GT_NO@intlh.inst:

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## ebview 0.3.6.2

=== util/Makefile ===
# Makefile.in generated by automake 1.6.3 from Makefile.am.
# util/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/ebview
pkglibdir = $(libdir)/ebview
pkgincludedir = $(includedir)/ebview
top_builddir = ..

ACLOCAL = aclocal-1.6
AUTOCONF = autoconf
AUTOMAKE = automake-1.6
AUTOHEADER = autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AMTAR = tar
AS = @AS@
AWK = gawk
CATALOGS =  ja.gmo
CATOBJEXT = .gmo
CC = gcc
CYGWIN_CFLAGS = 
DATADIRNAME = share
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
EBCONF_EBINCS = -I/usr/local/include
EBCONF_EBLIBS = -L/usr/local/lib -leb
EBCONF_INTLINCS = 
EBCONF_INTLLIBS = 
EBCONF_PTHREAD_CFLAGS = 
EBCONF_PTHREAD_CPPFLAGS = 
EBCONF_PTHREAD_LDFLAGS = 
EBCONF_ZLIBINCS = 
EBCONF_ZLIBLIBS = -lz
ECHO = echo
GMOFILES =  ja.gmo
GMSGFMT = /usr/bin/msgfmt
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTK_LIBS = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLDEPS = 
INTLLIBS = 
INTLOBJS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MKINSTALLDIRS = ./mkinstalldirs
OBJDUMP = @OBJDUMP@
PACKAGE = ebview
PKG_CONFIG = /usr/bin/pkg-config
POFILES =  ja.po
POSUB = po
RANLIB = ranlib
RES_FILE = 
STRIP = strip
THREAD_LIBS = -lpthread
USE_NLS = yes
VERSION = 0.3.0
am__include = include
am__quote = 
install_sh = /home/ken/prog/ebview-0.3.0/install-sh
bin_PROGRAMS = ebdump

AM_CPPFLAGS =  -I/usr/local/include \
              

AM_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    
AM_CXXFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include     
ebdump_LDADD = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   \
               -L/usr/local/lib -leb -lz  

ebdump_LDFLAGS = 

ebdump_SOURCES = \
	ebdump.c

subdir = util
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = ebdump$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_ebdump_OBJECTS = ebdump.$(OBJEXT)
ebdump_OBJECTS = $(am_ebdump_OBJECTS)
ebdump_DEPENDENCIES =

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/ebdump.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2
DIST_SOURCES = $(ebdump_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(ebdump_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  util/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
ebdump$(EXEEXT): $(ebdump_OBJECTS) $(ebdump_DEPENDENCIES) 
	@rm -f ebdump$(EXEEXT)
	$(LINK) $(ebdump_LDFLAGS) $(ebdump_OBJECTS) $(ebdump_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/ebdump.Po

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
	source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
	source='$<' object='$@' libtool=yes \
	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
	$(CCDEPMODE) $(depcomp) \
	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
CCDEPMODE = depmode=gcc3

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am: install-binPROGRAMS

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-binPROGRAMS uninstall-info-am

.PHONY: GTAGS all all-am check check-am clean clean-binPROGRAMS \
	clean-generic clean-libtool distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-binPROGRAMS install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool tags uninstall uninstall-am \
	uninstall-binPROGRAMS uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
ebview (0.3.6.2-2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/ebview.desktop:
      + Remove value "Application;GTK;" for key "Categories" in group
        "Desktop Entry" (deprecated).
      + Add value "Office;Utility;TextTools;" for key "Categories" in group
        "Desktop Entry" to match current desktop menu specification.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 27 Nov 2018 22:48:01 -0500

ebview (0.3.6.2-2) unstable; urgency=medium

  * QA upload

  [ Jeremy Bicha ]
  * Orphan package. See bug 836474.
  * Add Vcs fields pointing to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Build with debhelper
  * Bump debhelper compat to 10
  * Declare source format 3.0 (quilt)
  * Refresh dont-use-pangox.patch to apply with autoreconf
  * Remove m4/glib-gettext.m4 via debian/clean so that autoreconf works
  * Remove obsolete Debian menu
  * Use docbook-to-man to generate manpage
  * Use iconv to convert README to UTF-8
  * Enable all hardening flags & ensure they are passed to ebview-client
    (Closes: #776425)

  [ paulownia ]
  * Add 2 patches to fix a stack overflow & an out of bounds write
    (Closes: #703133, #776394)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Nov 2018 10:12:52 -0500

ebview (0.3.6.2-1.4ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:20:47 +0000

ebview (0.3.6.2-1.4ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/ebview.desktop:
      + Removed value "Application;GTK;" for key "Categories" in group
        "Desktop Entry"(deprecated).
      +  Add value "Office;Utility;TextTools;" for key "Categories" in group
        "Desktop Entry" to match current desktop menu specification.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 02 Aug 2015 02:33:17 -0400

ebview (0.3.6.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5":
    add patch from paulownia@Safe-mail.net:
    get rid of inline declaration.
    (Closes: #777837)

 -- gregor herrmann <gregoa@debian.org>  Thu, 23 Jul 2015 20:37:07 +0200

ebview (0.3.6.2-1.3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1229841). Remaining changes:
    - debian/ebview.desktop:
      + Removed value "Application;GTK;" for key "Categories" in group
        "Desktop Entry"(deprecated).
      +  Add value "Office;Utility;TextTools;" for key "Categories" in group
        "Desktop Entry" to match current desktop menu specification.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 29 Oct 2013 23:13:10 -0400

ebview (0.3.6.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure, not using pangox. Patch taken from #701840.
    Closes: #713240.
  * Link ebview with -lX11.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Oct 2013 00:11:14 +0100

ebview (0.3.6.2-1.2ubuntu1) precise; urgency=low

  * Merge from Debian testing. (LP: #901041) Remaining changes:
    - debian/ebview.desktop:
      + Removed value "Application;GTK;" for key "Categories" in group
        "Desktop Entry"(deprecated).
      +  Add value "Office;Utility;TextTools;" for key "Categories" in group
        "Desktop Entry" to match current desktop menu specification.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 07 Dec 2011 09:51:08 +0700

ebview (0.3.6.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dialog.c:72:6: error: format not a string literal and no
    format arguments [-Werror=format-security]":
    add patch fix-string-format-error.patch from Eric Alexander.
    (Closes: #643375)

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Nov 2011 14:59:26 +0100

ebview (0.3.6.2-1.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/ebview.desktop:
      - Removed value "Application" for key "Categories" in group
        "Desktop Entry"(deprecated). (Closes: #542485)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 19 May 2011 11:06:47 +0530

ebview (0.3.6.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depends on libeb16-dev instead of libeb13-dev (Closes: #623456).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 15 May 2011 01:08:02 +0200

ebview (0.3.6.2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #414388
    + debian/ebview.desktop
      - Removed value "Application" for key "Categories" in group
        "Desktop Entry"(deprecated)

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 16 Aug 2009 16:18:14 +0530

ebview (0.3.6.2-1) unstable; urgency=low

  * New upstream (though unofficial) release.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 16 Aug 2009 07:56:21 +0900

ebview (0.3.6.1-1) unstable; urgency=low

  * New upstream (though unofficial) release.
  * Converted to CDBS.
  * Rebuilt with libeb13 - closes: #539005

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 15 Aug 2009 08:17:47 +0900

ebview (0.3.6-9ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
   + debian/ebview.desktop
    - Removed value "Application" for key "Categories" in group "Desktop Entry" 
      (deprecated)

 -- Emanuele Gentili <emgent@ubuntu.com>  Thu, 17 Jul 2008 16:38:31 +0200

ebview (0.3.6-9) unstable; urgency=low

  * Added ebview.desktop, thanks fueryuejing - closes: #471002
  * Bumped to Standards-Version: 3.8.0.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 16 Jul 2008 10:40:02 +0900

ebview (0.3.6-8ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #237423):
    - Added ebview.desktop file written by fueryuejing. (LP: #201714)

 -- Nathan Handler <nathan.handler@gmail.com>  Wed, 04 Jun 2008 14:01:45 -0500

ebview (0.3.6-8) unstable; urgency=low

  * Added ebview-client (but doesn't work currently) - closes: #459694



=== debian/control ===
Source: ebview
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10),
               docbook-to-man,
               libeb16-dev,
               libgtk2.0-dev
Standards-Version: 3.8.2
Vcs-Browser: https://salsa.debian.org/debian/ebview
Vcs-Git: https://salsa.debian.org/debian/ebview.git
Homepage: http://ebview.sourceforge.net/

Package: ebview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: edict-fpw
Description: EPWING dictionary viewer
 This tool can read multiple dictionaries at the same time and
 provides a search facility supporting the X11 cut-and-paste buffer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $(CURDIR)/src/ebview-client $(CURDIR)/src/ebview-client.c
	docbook-to-man debian/ebview.sgml > ebview.1
	iconv -f EUCJP -t UTF-8 README > debian/README
	# The html files should be converted to UTF-8 too.
	# See https://src.fedoraproject.org/rpms/ebview/blob/master/f/ebview.spec#_53

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/ebview/usr/share/pixmaps
	install -m 644 $(CURDIR)/pixmaps/ebview-32x32.xpm $(CURDIR)/debian/ebview/usr/share/pixmaps/ebview.xpm
	dh_auto_install -- pkgdatadir=$(CURDIR)/debian/ebview/usr/share/ebview gnulocaledir=$(CURDIR)/debian/ebview/usr/share/locale
